commit:     a290dc66a29021b1464ecb6a8ee4b5a4a3b6671a
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Wed May 10 18:16:44 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed May 10 18:41:58 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a290dc66

media-libs/harfbuzz: add 7.3.0

Signed-off-by: Sam James <sam <AT> gentoo.org>

 media-libs/harfbuzz/Manifest              |  1 +
 media-libs/harfbuzz/harfbuzz-7.3.0.ebuild | 97 +++++++++++++++++++++++++++++++
 2 files changed, 98 insertions(+)

diff --git a/media-libs/harfbuzz/Manifest b/media-libs/harfbuzz/Manifest
index 8a987dc64b9d..b8d2ea36a988 100644
--- a/media-libs/harfbuzz/Manifest
+++ b/media-libs/harfbuzz/Manifest
@@ -1,2 +1,3 @@
 DIST harfbuzz-6.0.0.tar.xz 18952524 BLAKE2B 
bb08f90cf9540a076ec2fe5498658a0e5f963537ebd98fce271af9070d0fc7178346bf56c600720d433c9e3a403f67ec3ac898abeb1da12697ad22980ecf5204
 SHA512 
66f8484586b1b334479d739df1d1107172715ce1d2a3c0105375174fa3e201fd69ceb1543c10d6db49b012912e823befc701f00621f7b5f68036eced80d36f65
 DIST harfbuzz-7.2.0.tar.xz 18716956 BLAKE2B 
247746d6a0f132a0d6b0c461d9e96a4fe76bc08bca4d05b28a034de60afee8e049d798fdf3962b892b33424245d8f00a63d6068b034e80ad9d7733180e8533c1
 SHA512 
c32ae887fa13da332a88885baa387fc472e501f5f682dcbdf5f038a25a18a75948a1313a94612ee44beae169fb1ddd66b883e7a2d236d0ad5b81476b5c4d3cb2
+DIST harfbuzz-7.3.0.tar.xz 18867940 BLAKE2B 
7b1f6fb0c4c7483ff7a7c27f613b8579af30a304432e1a4e157aec4344449aed93e68443df1f2bc741be6780a6b2214d54804e2df9a20d83c8256b5f98c7fcda
 SHA512 
e1fb484e4117cedc72bd473ee91b2f6143533fb467ec9a64361f0c7ffd8b5a44ad2ea42daa948a2d5d85297ace4b640fcd24a8291b0d75a1d4ee468c629febe9

diff --git a/media-libs/harfbuzz/harfbuzz-7.3.0.ebuild 
b/media-libs/harfbuzz/harfbuzz-7.3.0.ebuild
new file mode 100644
index 000000000000..162be18dc6c3
--- /dev/null
+++ b/media-libs/harfbuzz/harfbuzz-7.3.0.ebuild
@@ -0,0 +1,97 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{9..11} )
+
+inherit flag-o-matic meson-multilib python-any-r1 xdg-utils
+
+DESCRIPTION="An OpenType text shaping engine"
+HOMEPAGE="https://www.freedesktop.org/wiki/Software/HarfBuzz";
+
+if [[ ${PV} = 9999 ]] ; then
+       EGIT_REPO_URI="https://github.com/harfbuzz/harfbuzz.git";
+       inherit git-r3
+else
+       
SRC_URI="https://github.com/harfbuzz/harfbuzz/releases/download/${PV}/${P}.tar.xz";
+       KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc 
~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos 
~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+fi
+
+LICENSE="Old-MIT ISC icu"
+# 0.9.18 introduced the harfbuzz-icu split; bug #472416
+# 3.0.0 dropped some unstable APIs; bug #813705
+# 6.0.0 changed libharfbuzz-subset.so ABI
+SLOT="0/6.0.0"
+
+IUSE="+cairo debug doc experimental +glib +graphite icu +introspection test 
+truetype"
+RESTRICT="!test? ( test )"
+REQUIRED_USE="introspection? ( glib )"
+
+RDEPEND="
+       cairo? ( x11-libs/cairo:=[${MULTILIB_USEDEP}] )
+       glib? ( >=dev-libs/glib-2.38:2[${MULTILIB_USEDEP}] )
+       graphite? ( >=media-gfx/graphite2-1.2.1:=[${MULTILIB_USEDEP}] )
+       icu? ( >=dev-libs/icu-51.2-r1:=[${MULTILIB_USEDEP}] )
+       introspection? ( >=dev-libs/gobject-introspection-1.34:= )
+       truetype? ( >=media-libs/freetype-2.5.0.1:2=[${MULTILIB_USEDEP}] )
+"
+DEPEND="${RDEPEND}
+       >=dev-libs/gobject-introspection-common-1.34
+"
+BDEPEND="
+       ${PYTHON_DEPS}
+       virtual/pkgconfig
+       doc? ( dev-util/gtk-doc )
+       introspection? ( dev-util/glib-utils )
+"
+
+src_prepare() {
+       default
+
+       xdg_environment_reset
+
+       # bug #726120
+       sed -i \
+               -e '/tests\/macos\.tests/d' \
+               test/shape/data/in-house/Makefile.sources \
+               || die
+
+       # bug #790359
+       filter-flags -fexceptions -fthreadsafe-statics
+
+       if ! use debug ; then
+               append-cppflags -DHB_NDEBUG
+       fi
+
+       # bug #762415
+       local pyscript
+       for pyscript in $(find -type f -name "*.py") ; do
+               python_fix_shebang -q "${pyscript}"
+       done
+}
+
+multilib_src_configure() {
+       # harfbuzz-gobject only used for introspection, bug #535852
+       local emesonargs=(
+               -Dcoretext="disabled"
+               -Dchafa="disabled"
+
+               $(meson_feature cairo)
+               $(meson_feature glib)
+               $(meson_feature graphite graphite2)
+               $(meson_feature icu)
+               $(meson_feature introspection gobject)
+               $(meson_feature test tests)
+               $(meson_feature truetype freetype)
+
+               $(meson_native_use_feature doc docs)
+               $(meson_native_use_feature introspection)
+               # Breaks building tests..
+               #$(meson_native_use_feature utilities)
+
+               $(meson_use experimental experimental_api)
+       )
+
+       meson_src_configure
+}

Reply via email to